質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.34%

  • MacOS(OSX)

    2030questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • Vim

    529questions

    VimとはUnix / Linux 系のOSに標準搭載されているターミナル上で動くテキストエディタです。

  • Lua

    57questions

    Luaは、汎用のスクリプト言語の一つで、 移植性が高く、高速な実行速度などの特徴を持ち 手続き型・オブジェクト指向言語としても利用可能で 関数型言語、データ駆動型の要素も併せ持っている言語です。

MacでLua版のVimがインストールできない

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,415

Tocyuki

score 11

 はじめに

自分のMacにLua版のVimがインストールできないため、補完プラグインのneocompleteが使えず困っています。
お力添えいただけると助かりますのでよろしくお願いいたします。

提示している情報に不足があればご指摘いただけると助かります。

 事象

  • brewでlua版のVimのインストールを試みるもインストールできない
  • --with-luaオプション無しであれば普通にインストール可能

 環境

  • HOMEBREW_VERSION: 1.1.9
  • インストールしたいVimのバージョン: 8.0.0329
  • OSX 10.11.5

 インストール手順

 Vimの再インストール
brew reinstall -v vim --with-lua
 以下のエラーでうまくいっていないように見える
ld: library not found for -lruby.2.4.0
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[1]: *** [vim] Error 1
make: *** [first] Error 2
 brew info vim の結果
➜ brew info vim
vim: stable 8.0.0329 (bottled), HEAD
Vi "workalike" with many additional features
http://www.vim.org/
Conflicts with: ex-vi
/usr/local/Cellar/vim/8.0.0329 (1,713 files, 23.3M) *
  Poured from bottle on 2017-02-14 at 23:24:58
From: https://github.com/Homebrew/homebrew-core/blob/master/Formula/vim.rb
==> Dependencies
Optional: lua ✔, luajit ✘
==> Requirements
Required: ruby >= 1.8 ✔, perl >= 5.3 ✔
Recommended: python ✔
Optional: python3 ✘
==> Options
--with-client-server
        Enable client/server mode
--with-custom-perl
        Build with a custom Perl instead of the Homebrew version.
--with-custom-python
        Build with a custom Python 2 instead of the Homebrew version.
--with-custom-ruby
        Build with a custom Ruby instead of the Homebrew version.
--with-lua
        Build vim with lua support
--with-luajit
        Build with luajit support
--with-mzscheme
        Build vim with mzscheme support
--with-override-system-vi
        Override system vi
--with-python3
        Build vim with python3 instead of python[2] support
--with-tcl
        Build vim with tcl support
--without-nls
        Build vim without National Language Support (translated messages, keymaps)
--without-perl
        Build vim without perl support
--without-python
        Build vim without python support
--without-ruby
        Build vim without ruby support
--HEAD
        Install HEAD version

 その他

  • brew uninstallしてからインストールしても同じ

以上、よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • t_obara

    2017/02/15 10:41

    mac osのバージョンや、brew info vim の実行結果などを提示いただけるとよろしいかと思われます。

    キャンセル

  • Tocyuki

    2017/02/15 19:18

    ありがとうございます。情報追記しました!

    キャンセル

  • t_obara

    2017/02/15 19:54

    brew info vim の結果ですが、一部化けていますが、Optional: lua はチェックされているのであれば、インストール自体はできていると思います。neocomplete のインストール自体は試みられたのでしょうか?

    キャンセル

  • Tocyuki

    2017/02/16 11:31

    `brew install lua`でインストールしたため、チェックがついているものと思われます。neocomplete自体はインストール済みなのですが、`vim --version`でみると`-lua`の表示となっています。

    キャンセル

回答 1

checkベストアンサー

0

MacVim を使ってください。

$ brew install macvim-dev/macvim/macvim --HEAD

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/02/16 11:33

    terminal上で使いたいのでMacVimではだめなのですorz

    キャンセル

  • 2017/02/16 11:41

    MacVim もターミナルで起動できます。
    brew 版はよくない部分があると言うことで、MacVim メンテナが公開されているのが回答にある物です。

    キャンセル

  • 2017/02/16 22:37

    ありがとうございます!回答頂いたコマンドでMacVimインストール後、「brew link --overwrite macvim」を実行することで期待した結果となりました!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.34%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • MacOS(OSX)

    2030questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • Vim

    529questions

    VimとはUnix / Linux 系のOSに標準搭載されているターミナル上で動くテキストエディタです。

  • Lua

    57questions

    Luaは、汎用のスクリプト言語の一つで、 移植性が高く、高速な実行速度などの特徴を持ち 手続き型・オブジェクト指向言語としても利用可能で 関数型言語、データ駆動型の要素も併せ持っている言語です。